org.crosswire.jsword.examples

## Class ReadEverything

- java.lang.Object
- - org.crosswire.jsword.examples.ReadEverything

-     public final class ReadEverything
      extends Object

  Test to check that all books can be read.
  Author:
    Joe Walker
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `count`
    `private static org.slf4j.Logger` | `log` The log stream

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `ReadEverything()` Prevent instantiation

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static List<Book>` | `getBooks(BookFilter filter)`
    `static void` | `main(String[] args)` Read all the books that we can get our hands on.
    `private static void` | `testReadMultiple(Book book, Key set)` Perform a test read on an iterator over a set of keys
    `private static void` | `testReadSingle(Book book, Key key, int entry)` Perform a test read on a single key

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### count

          private static int count

    - #### log

          private static final org.slf4j.Logger log

      The log stream

  - ### Constructor Detail

    - #### ReadEverything

          private ReadEverything()

      Prevent instantiation

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Read all the books that we can get our hands on.
      Parameters:
        `args` -

    - #### getBooks

          private static List<Book> getBooks(BookFilter filter)

    - #### testReadMultiple

          private static void testReadMultiple(Book book,
                              Key set)

      Perform a test read on an iterator over a set of keys

    - #### testReadSingle

          private static void testReadSingle(Book book,
                            Key key,
                            int entry)

      Perform a test read on a single key